CREATE TABLE item (
		item_id			varchar not null,
		name_eng		varchar,
		name_chi		varchar,
		price			real not null,
		has_two_sizes	boolean not null default 'f',
		primary key(item_id)
);

CREATE SEQUENCE special_field_seq START 1;
CREATE TABLE special_field (
		special_field_id	int not null default nextval('special_field_seq'),
		name_eng			varchar,
		name_chi			varchar,
		price				real,
		primary key(special_field_id)
);

CREATE TABLE item_special_field (
		item_id				varchar not null,
		special_field_id	int not null,
		primary key(item_id, special_field_id)
);

CREATE SEQUENCE customer_seq START 1;
CREATE TABLE customer (
		customer_id			int not null default nextval('customer_seq'),
		name				varchar not null,
		street				varchar not null,
		city				varchar not null,
		state				varchar not null,
		zip					varchar not null,
		phone				varchar not null,
		number_calls		varchar not null,
		other				varchar not null,
		primary key(customer_id)
);

CREATE TABLE invoice (
		invoice_id			int not null,
		customer_id			int not null,
		comments			varchar not null,
		tax_rate			real not null,
		primary key(invoice_id, customer_id)
);

CREATE SEQUENCE orders_seq START 1;
CREATE TABLE orders (
		order_id			int not null default nextval('orders_seq'),
		customer_id			int not null,
		order_date			timestamp not null,
		primary key(order_id)
);

CREATE SEQUENCE orders_items_seq START 1;
CREATE TABLE orders_items (
		bogus_id			int not null default nextval('orders_items_seq'),
		order_id			int not null,
		item_id				varchar not null,
		primary key(bogus_id)
);

CREATE SEQUENCE users_seq START 1;
CREATE TABLE users (
		user_id				int not null default nextval('users_seq'),
		username			varchar not null,
		password			varchar not null default '',
		name				varchar not null,
		employee_num		varchar,
		last_login			timestamp,
		primary key(user_id)
);
